# UniTAP.dev.ports.modules.edid.edid_types

class MainBlockType(enum.IntEnum):

Enum where members are also (and must be) ints

VESA = <MainBlockType.VESA: 0>
CTA = <MainBlockType.CTA: 2>
DisplayID = <MainBlockType.DisplayID: 112>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class AdditionalBlockType(enum.IntEnum):

Enum where members are also (and must be) ints

AdaptiveSync = <AdditionalBlockType.AdaptiveSync: 43>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DisplayIDReadMode(enum.IntEnum):

Disabled - Disable native DisplayID read Try - Prefer native DisplayID (if failed to read use EDID instead) Both - Read both DisplayID and EDID

Disabled = <DisplayIDReadMode.Disabled: 0>
Try = <DisplayIDReadMode.Try: 1>
Both = <DisplayIDReadMode.Both: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator